commit:     7e5b824ee058fdef410606dcf081df301d72f109
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 04:48:41 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 04:48:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e5b824e

dev-python/apsw: Bump to 3.47.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/apsw/Manifest             |  1 +
 dev-python/apsw/apsw-3.47.0.0.ebuild | 51 ++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 42e1c2457df9..2a9d623e9337 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1,2 +1,3 @@
 DIST apsw-3.46.0.1.gh.tar.gz 912632 BLAKE2B 
b2c89def11102a00dde64fa7d7546f50e302dfe4219394d3d6ddd7f66fec455a60689db61a94230f7ef9578069b08ecd826de82b4e8b019107b9a0b6a36c4271
 SHA512 
894cf6c49d608d9d8eff369dcf42dd3b2f5174cd98a2c471f41773e2c1474c13d31f08402d053fd0869acb5c038e26543caa345d205c46bd3b3ec6aaecda5089
 DIST apsw-3.46.1.0.gh.tar.gz 913223 BLAKE2B 
c0ad61e61a97471ef677ffe80f3f91e6520c95f8cece225a8086884f34de497714892e4ce0ca375f2ec66f48b8ecb4d38dd5ebdb57cd94050ef5eaee20d5d3ee
 SHA512 
3cd81ceab03dadf10d9c10d645d33b962ba9ec55075bb193eb076f458dde11d5c5c6ec087ec31fc96d011ca1b339a9ffe07cb5d660b8205f6f156baaa0b18c81
+DIST apsw-3.47.0.0.gh.tar.gz 1633544 BLAKE2B 
a84634948c760cc8e8d6be83b1667ff86c973a1e8c52172d5f91852d42fd25189b367357f0eb0cb3b7b3868b21553e5258427da0958b5c117e05e55c3496a2b6
 SHA512 
4b90c7f13dbed9015ce1b7215c9dd6d8889433917e123bfac642f271dfec1d8be929b41fa530e867ec4f068a8c4fc337a82043811e8afcb707b187a46db7e176

diff --git a/dev-python/apsw/apsw-3.47.0.0.ebuild 
b/dev-python/apsw/apsw-3.47.0.0.ebuild
new file mode 100644
index 000000000000..7b49484a85a9
--- /dev/null
+++ b/dev-python/apsw/apsw-3.47.0.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+       https://github.com/rogerbinns/apsw/
+       https://pypi.org/project/apsw/
+"
+SRC_URI="
+       https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+       >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+src_configure() {
+       cat >> setup.cfg <<-EOF || die
+               [build_ext]
+               enable=load_extension
+               use_system_sqlite_config=True
+       EOF
+}
+
+python_test() {
+       esetup.py build_test_extension
+       cd "${T}" || die
+       "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/. )
+       distutils-r1_python_install_all
+}

Reply via email to